(TeX-add-style-hook "ribet-stein"
 (lambda ()
    (LaTeX-add-environments
     "theorem"
     "lemma"
     "proposition"
     "corollary"
     "remark"
     "example"
     "definition"
     "exercise"
     "conjecture"
     "problem"
     "dashlist")
    (LaTeX-add-bibitems
     "ash-stevens"
     "atkin-lehner"
     "birch:cyclo"
     "antwerpiv"
     "neronmodels"
     "boston-lenstra-ribet"
     "breuil-conrad-diamond-taylor"
     "BRUE"
     "buzzard:level"
     "bdsbt"
     "CAREARLY"
     "carayol:modell"
     "casselman"
     "cerednik"
     "coleman:serre"
     "coleman-edixhoven"
     "coleman-voloch"
     "conrad:book"
     "conrad-diamond-taylor:modularity"
     "cremona:algs"
     "curtis-reiner"
     "darmon:serre"
     "darmon-diamond-taylor"
     "DELIGNE"
     "deligne-rapoport"
     "diamond:refined"
     "diamond-im"
     "dickinson:thesis"
     "DOUD"
     "drinfeld:coverings"
     "edixhoven:eisen"
     "edixhoven:weight"
     "edixhoven:serrerole"
     "edixhoven:erratum"
     "edixhoven:serre"
     "eichler:quadratic"
     "eisenbud"
     "eisenbud-harris-2"
     "emerton"
     "faltings-finiteness"
     "faltings-jordan"
     "FREYONE"
     "FREYTWO"
     "frohlich:local"
     "fujiwara"
     "gross:tameness"
     "hartshorne"
     "hellegouarch:invitation"
     "hida:invent86"
     "hida:iwasawa"
     "jacquet-langlands"
     "jarvis:hilbert"
     "jarvis:level"
     "jarvis:mazur"
     "jochnowitz:local"
     "jochnowitz:duke"
     "jordan-livne:epsilon"
     "joshi"
     "katz:antwerp350"
     "katz:annals75"
     "KATZBONN"
     "katzmazur"
     "khare:manu"
     "kilford"
     "knapp:elliptic"
     "lang:modular"
     "langlands:antwerp2"
     "langlands:basechange"
     "winnie:newforms"
     "livne:conductors"
     "mazur:eisenstein"
     "mazur-ribet"
     "merel:1585"
     "milne:abvars"
     "miyake"
     "moon"
     "mumford:abvars"
     "queen"
     "raji"
     "ramakrishna:lifting"
     "ramakrishna:lift2"
     "raynaud:ihes"
     "ribet:toulouse"
     "ribet:modreps"
     "ribet:raising"
     "ribet:lowering"
     "ribet:report"
     "robert:elliptic"
     "SAITO"
     "schur:arith"
     "serre:cnrs"
     "SERRETAU"
     "serre:propgal"
     "JPS"
     "serre:antwerp72"
     "serre:arithmetic"
     "serre:propres"
     "serre:enseign"
     "serre:linear"
     "serre:localfields"
     "SERRE:ARCATA"
     "serre:conjectures"
     "serre:travauxwiles"
     "serre-tate"
     "SBTAYLOR"
     "shimizu:zeta"
     "shimura:reciprocity"
     "shimura:intro"
     "silverman:aec"
     "silverman:aec2"
     "skinner-wiles:ordinary"
     "HPF"
     "tate:nonexistence"
     "taylor-wiles:fermat"
     "tunnell:artin"
     "waldspurger:comp1"
     "wiles:fermat")
    (TeX-add-symbols
     '("solution" 1)
     '("vtwo" 2)
     '("mtwo" 4)
     '("jo" 1)
     '("GLTWO" 1)
     '("exer" 1)
     '("defn" 1)
     '("db" 1)
     '("abcd" 4)
     '("comment" 1)
     "authb"
     "A"
     "alp"
     "bE"
     "bmu"
     "C"
     "bP"
     "cA"
     "cB"
     "cC"
     "cE"
     "cJ"
     "cL"
     "cO"
     "cP"
     "cS"
     "cT"
     "cV"
     "cX"
     "con"
     "cross"
     "dx"
     "dy"
     "E"
     "eps"
     "epsbar"
     "F"
     "Fbar"
     "fbar"
     "Fell"
     "Fellbar"
     "Fellnu"
     "Fp"
     "Fpbar"
     "Fq"
     "Fqbar"
     "Frobl"
     "GalQ"
     "gone"
     "gp"
     "GQ"
     "gzero"
     "Gm"
     "h"
     "intersect"
     "into"
     "isog"
     "isom"
     "Kbar"
     "kbar"
     "lra"
     "m"
     "mbar"
     "mmid"
     "ncisom"
     "OK"
     "p"
     "pnew"
     "qnew"
     "pqnew"
     "Q"
     "Qbar"
     "Ql"
     "Qell"
     "Qlbar"
     "Qlnr"
     "Qltm"
     "Qp"
     "Qpbar"
     "Qv"
     "qe"
     "Pico"
     "R"
     "ra"
     "rhobar"
     "rhol"
     "rhoss"
     "riso"
     "seteq"
     "sltwo"
     "sltwoz"
     "T"
     "Tbar"
     "tE"
     "tensor"
     "trho"
     "toric"
     "union"
     "dual"
     "vphi"
     "Weil"
     "Z"
     "Zhat"
     "Zell"
     "Zl"
     "Zlbar"
     "Zp"
     "Zpstar"
     "bysame"
     "chapter"
     "theindex"
     "indexchap"
     "item"
     "currentyear"
     "SLTWO"
     "PSLTWO"
     "PGLTWO"
     "ZNZ")
    (TeX-run-style-hooks
     "amsthm"
     "psfrag"
     "graphicx"
     "fancybox"
     "epic"
     "amssymb"
     "amsfonts"
     "amsmath"
     "xy"
     "all"
     "hyperref"
     "hypertex"
     "latex2e"
     "pcms-l10"
     "pcms-l"
     "lecture"
     "pcmslmod"
     "chapter0"
     "chapter1"
     "chapter2"
     "chapter3"
     "exercises"
     "appendix"
     "buzzard-appendix")))

